## lime 5.3.105+dfsg

=== CMakeLists.txt ===
############################################################################
# CMakeLists.txt
# Copyright (C) 2010-2023  Belledonne Communications, Grenoble France
#
############################################################################
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
############################################################################


cmake_minimum_required(VERSION 3.22)


option(ENABLE_STRICT "Build with strict compile options." YES)
option(ENABLE_CURVE25519 "Enable support of Curve 25519." YES)
option(ENABLE_CURVE448 "Enable support of Curve 448(goldilock)." YES)
option(ENABLE_UNIT_TESTS "Enable compilation of unit tests." YES)
option(ENABLE_DOC "Enable API documentation generation." NO)
option(ENABLE_PROFILING "Enable profiling, GCC only" NO)
option(ENABLE_C_INTERFACE "Enable support of C89 foreign function interface" NO)
option(ENABLE_JNI "Enable support of Java foreign function interface" NO)
option(ENABLE_PACKAGE_SOURCE "Create 'package_source' target for source archive making" OFF)


set(LANGUAGES_LIST CXX)
if(ENABLE_C_INTERFACE)
	set(LANGUAGES_LIST ${LANGUAGES_LIST} C)
endif()
if(ENABLE_JNI)
	set(LANGUAGES_LIST ${LANGUAGES_LIST} Java)
endif()

project(Lime VERSION 5.3.0 LANGUAGES ${LANGUAGES_LIST})

set(LIME_SO_VERSION "0")
set(LIME_VERSION ${PROJECT_VERSION})


include(GNUInstallDirs)


if(NOT CPACK_GENERATOR AND NOT CMAKE_INSTALL_RPATH AND CMAKE_INSTALL_PREFIX)
	set(CMAKE_INSTALL_RPATH ${CMAKE_INSTALL_FULL_LIBDIR})
	message(STATUS "Setting install rpath to ${CMAKE_INSTALL_RPATH}")
endif()

list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake")

find_package(BCToolbox 5.3.0 REQUIRED OPTIONAL_COMPONENTS tester)
find_package(Soci REQUIRED COMPONENTS sqlite3)

include_directories(
	include/
	src/
	${CMAKE_CURRENT_BINARY_DIR}
)

configure_file("${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake" "${CMAKE_CURRENT_BINARY_DIR}/config.h")
set_source_files_properties("${CMAKE_CURRENT_BINARY_DIR}/config.h" PROPERTIES GENERATED ON)

set(LIME_CPPFLAGS )
if(LIME_CPPFLAGS)
	list(REMOVE_DUPLICATES LIME_CPPFLAGS)
	add_definitions(${LIME_CPPFLAGS})
endif()
add_definitions("-DLIME_EXPORTS")

set(STRICT_OPTIONS_C)
set(STRICT_OPTIONS_CPP )
set(STRICT_OPTIONS_CXX )
set(STRICT_OPTIONS_OBJC )

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_C_STANDARD 99)

if(MSVC)
	if(ENABLE_STRICT)
		list(APPEND STRICT_OPTIONS_CPP "/WX")
	endif()
	# avoid conflicts with std::min and std::max
	add_definitions("-DNOMINMAX")
else()
	if (ENABLE_PROFILING)
		list(APPEND STRICT_OPTIONS_CXX "-g -pg")
	endif()
        #list(APPEND STRICT_OPTIONS_CPP "-Wall" "-Wuninitialized" "-Wno-error=deprecated-declarations") # turn off deprecated-declaration warning to avoid being flooded by soci.h
	list(APPEND STRICT_OPTIONS_CPP "-Wall" "-Wuninitialized" "-Wno-deprecated-declarations" "-Wno-missing-field-initializers")

	if(CMAKE_C_COMPILER_ID STREQUAL "Clang")
		list(APPEND STRICT_OPTIONS_CPP "-Qunused-arguments" "-Wno-array-bounds")
	endif()
	if(APPLE)
		list(APPEND STRICT_OPTIONS_CPP "-Wno-error=unknown-warning-option" "-Qunused-arguments" "-Wno-tautological-compare" "-Wno-unused-function" "-Wno-array-bounds")
	endif()
	if(ENABLE_STRICT)
		list(APPEND STRICT_OPTIONS_CPP "-Werror" "-Wextra" "-Wno-unused-parameter" "-fno-strict-aliasing")
	endif()
endif()
if(STRICT_OPTIONS_CPP)
	list(REMOVE_DUPLICATES STRICT_OPTIONS_CPP)
endif()

set(EXPORT_TARGETS_NAME "lime")

if(ENABLE_CURVE25519)
	add_definitions("-DEC25519_ENABLED")
	message(STATUS "Support Curve 25519")
endif()

if(ENABLE_CURVE448)
	add_definitions("-DEC448_ENABLED")
	message(STATUS "Support Curve 448")
endif()

if(ENABLE_C_INTERFACE)
	add_definitions("-DFFI_ENABLED")
	message(STATUS "Provide C89 interface")
endif()

if(ENABLE_JNI)
	message(STATUS "Provide JNI interface")
	if(NOT ANDROID)
		find_package(JNI REQUIRED)
		if(JNI_FOUND)
			message (STATUS "JNI_INCLUDE_DIRS=${JNI_INCLUDE_DIRS}")
			message (STATUS "JNI_LIBRARIES=${JNI_LIBRARIES}")
		endif()
	endif()
endif()

add_subdirectory(include)
add_subdirectory(src)
if(ENABLE_UNIT_TESTS)
	enable_testing()
	add_subdirectory(tester)
endif()

include(CMakePackageConfigHelpers)
set(CMAKE_MODULES_INSTALL_DIR "${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/cmake")
configure_package_config_file("cmake/${PROJECT_NAME}Config.cmake.in" "${PROJECT_BINARY_DIR}/${PROJECT_NAME}Config.cmake"
	INSTALL_DESTINATION "${CMAKE_MODULES_INSTALL_DIR}"
	NO_SET_AND_CHECK_MACRO
)
write_basic_package_version_file("${PROJECT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake"
	VERSION ${PROJECT_VERSION}
	COMPATIBILITY AnyNewerVersion
)
install(FILES
	"${PROJECT_BINARY_DIR}/${PROJECT_NAME}Config.cmake"
	"${PROJECT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake"
	DESTINATION ${CMAKE_MODULES_INSTALL_DIR}
)
install(FILES "cmake/FindSoci.cmake" DESTINATION ${CMAKE_MODULES_INSTALL_DIR})

install(EXPORT ${PROJECT_NAME}Targets
	FILE "${PROJECT_NAME}Targets.cmake"
	DESTINATION ${CMAKE_MODULES_INSTALL_DIR}
)

if(ENABLE_DOC)
	# Doxygen
	find_package(Doxygen)
	if (DOXYGEN_FOUND)
		set(DOXYGEN_INPUT "")
		file(GLOB DOC_INPUT_FILES
			"${PROJECT_SOURCE_DIR}/include/[^.]*.h"
			"${PROJECT_SOURCE_DIR}/include/[^.]*.hpp"
			"${PROJECT_SOURCE_DIR}/src/[^.]*.hpp"
			"${PROJECT_SOURCE_DIR}/src/[^.]*.cpp"
		)
		foreach (INPUT_FILE ${DOC_INPUT_FILES})
			string(CONCAT DOXYGEN_INPUT ${DOXYGEN_INPUT} " \"${INPUT_FILE}\"")
		endforeach ()
		configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile @ONLY)
		add_custom_command(OUTPUT "${PROJECT_BINARY_DIR}/doc/html/index.html"
			COMMAND "${DOXYGEN_EXECUTABLE}" "${PROJECT_BINARY_DIR}/Doxyfile"
			DEPENDS "${PROJECT_BINARY_DIR}/Doxyfile" ${DOC_INPUT_FILES}
		)
		add_custom_target(lime-doc ALL
			DEPENDS "${PROJECT_BINARY_DIR}/doc/html/index.html"
			COMMENT "Generating API documentation with Doxygen" VERBATIM
		)
		install(DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/doc/html/"
			DESTINATION "${CMAKE_INSTALL_DATADIR}/doc/lime-${LIME_VERSION}")
	endif()
endif()

if (ENABLE_PACKAGE_SOURCE)
	add_subdirectory(build)
endif()

=== build/CMakeLists.txt ===
############################################################################
# CMakeLists.txt
# Copyright (C) 2010-2023  Belledonne Communications, Grenoble France
#
############################################################################
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
############################################################################

if(NOT CPACK_PACKAGE_NAME)
	set(CPACK_PACKAGE_NAME "lime")
endif()

set(CPACK_SOURCE_IGNORE_FILES
	"${CMAKE_BINARY_DIR}"
	"^${PROJECT_SOURCE_DIR}/.git*"
)

bc_make_package_source_target()

=== src/CMakeLists.txt ===
############################################################################
# CMakeLists.txt
# Copyright (C) 2017-2023  Belledonne Communications, Grenoble France
#
############################################################################
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
############################################################################

set(LIME_PRIVATE_HEADER_FILES
	lime_settings.hpp
	lime_defines.hpp
	lime_keys.hpp
	lime_impl.hpp
	lime_x3dh_protocol.hpp
	lime_localStorage.hpp
	lime_double_ratchet.hpp
	lime_double_ratchet_protocol.hpp
	lime_lime.hpp
	lime_crypto_primitives.hpp
	lime_log.hpp
)
set(LIME_SOURCE_FILES_CXX
	lime.cpp
	lime_crypto_primitives.cpp
	lime_x3dh.cpp
	lime_x3dh_protocol.cpp
	lime_localStorage.cpp
	lime_double_ratchet.cpp
	lime_double_ratchet_protocol.cpp
	lime_manager.cpp
)

if (ENABLE_C_INTERFACE)
	set(LIME_SOURCE_FILES_CXX ${LIME_SOURCE_FILES_CXX} lime_ffi.cpp)
endif()

if (ENABLE_JNI)
	set(LIME_SOURCE_FILES_CXX ${LIME_SOURCE_FILES_CXX} lime_jni.cpp)
	add_subdirectory(java)
endif()

bc_apply_compile_flags(LIME_SOURCE_FILES_CXX STRICT_OPTIONS_CPP STRICT_OPTIONS_CXX)

add_library(lime ${LIME_PRIVATE_HEADER_FILES} ${LIME_HEADER_FILES} ${LIME_SOURCE_FILES_CXX})
set_target_properties(lime PROPERTIES VERSION ${LIME_SO_VERSION})
target_include_directories(lime PRIVATE ${JNI_INCLUDE_DIRS} INTERFACE
	$<INSTALL_INTERFACE:include>
	$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
)
target_link_libraries(lime PRIVATE ${BCToolbox_TARGET} ${Soci_TARGET} ${Soci_sqlite3_TARGET} ${JNI_LIBRARIES})
if(ENABLE_PROFILING)
	target_link_options(lime PRIVATE "-pg")
endif()

if(BUILD_SHARED_LIBS)
	if(APPLE)
		set_target_properties(lime PROPERTIES
			FRAMEWORK TRUE
			MACOSX_FRAMEWORK_IDENTIFIER com.belledonne-communications.lime
			MACOSX_FRAMEWORK_INFO_PLIST "${PROJECT_SOURCE_DIR}/build/osx/Info.plist.in"
			PUBLIC_HEADER "${LIME_HEADER_FILES}"
		)
	endif()
	if(WIN32)
		set_target_properties(lime PROPERTIES WINDOWS_EXPORT_ALL_SYMBOLS TRUE)
	endif()
	if(MSVC)
		install(FILES $<TARGET_PDB_FILE:lime>
			DESTINATION ${CMAKE_INSTALL_BINDIR}
			PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
			CONFIGURATIONS Debug RelWithDebInfo
		)
	endif()
endif()

install(TARGETS lime EXPORT ${PROJECT_NAME}Targets
	RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
	ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
	FRAMEWORK DESTINATION Frameworks
	PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
)

=== src/java/CMakeLists.txt ===
############################################################################
# CMakeLists.txt
# Copyright (C) 2019  Belledonne Communications, Grenoble France
#
############################################################################
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
############################################################################
find_package(Java REQUIRED)
include(UseJava)

set (LIME_SOURCE_FILES_JAVA
	org/linphone/lime/LimeException.java
	org/linphone/lime/LimeCurveId.java
	org/linphone/lime/LimeEncryptionPolicy.java
	org/linphone/lime/LimeOutputBuffer.java
	org/linphone/lime/LimePeerDeviceStatus.java
	org/linphone/lime/LimeCallbackReturn.java
	org/linphone/lime/LimeStatusCallback.java
	org/linphone/lime/RecipientData.java
	org/linphone/lime/LimePostToX3DH.java
	org/linphone/lime/LimeManager.java
)

add_jar(Lime ${LIME_SOURCE_FILES_JAVA})

get_target_property(Lime_jarFile Lime JAR_FILE)

message(STATUS "Lime Jar file ${Lime_jarFile}")

=== tester/java/CMakeLists.txt ===
############################################################################
# CMakeLists.txt
# Copyright (C) 2019  Belledonne Communications, Grenoble France
#
############################################################################
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
############################################################################
find_package(Java REQUIRED)
include(UseJava)

set (LIMETESTER_SOURCE_FILES_JAVA
	org/linphone/limeTester/LimeTesterUtils.java
	org/linphone/limeTester/HelloWorld.java
	org/linphone/limeTester/LimeLimeTester.java
	org/linphone/limeTester/LimeTester.java
)

set (LIME_JAR_FILE ${PROJECT_BINARY_DIR}/src/java/Lime.jar)
message(STATUS "Included Lime Jar file ${LIME_JAR_FILE}")

add_jar(LimeTester ${LIMETESTER_SOURCE_FILES_JAVA} INCLUDE_JARS ${LIME_JAR_FILE})

get_target_property(Tester_jarFile LimeTester JAR_FILE)

configure_file(../data/pattern_getSelfIk.C25519.sqlite3 ${CMAKE_CURRENT_BINARY_DIR}/pattern_getSelfIk.C25519.sqlite3 COPYONLY)
configure_file(../data/pattern_getSelfIk.C448.sqlite3 ${CMAKE_CURRENT_BINARY_DIR}/pattern_getSelfIk.C448.sqlite3 COPYONLY)

if (ENABLE_CURVE25519)
	set (JAVA_CURVE25519_OPTION -DenableC25519=true)
else ()
	set (JAVA_CURVE25519_OPTION -DenableC25519=false)
endif()

if (ENABLE_CURVE448)
	set (JAVA_CURVE448_OPTION -DenableC448=true)
else ()
	set (JAVA_CURVE448_OPTION -DenableC448=false)
endif()

add_test(NAME JNI COMMAND ${Java_JAVA_EXECUTABLE} ${JAVA_CURVE25519_OPTION} ${JAVA_CURVE448_OPTION} -Djava.library.path=${CMAKE_BINARY_DIR}/src -cp ${Tester_jarFile}:${LIME_JAR_FILE} -Xcheck:jni -ea org/linphone/limeTester/LimeTester)

=== debian/changelog ===
lime (5.3.105+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Let binary-all build pass. (Closes: #1098379)

 -- Bastian Germann <bage@debian.org>  Wed, 19 Feb 2025 22:36:22 +0100

lime (5.3.105+dfsg-2) unstable; urgency=medium

  * Team upload.
  * New upstream version 5.3.105+dfsg.
  * Rebase patches.
  * Build package without Java.
  * Drop invalid Homepage.
  * d/copyright: Update info for new version.

 -- Bastian Germann <bage@debian.org>  Wed, 19 Feb 2025 16:43:08 +0100

lime (5.2.98+dfsg-1) experimental; urgency=medium

  * New upstream version 5.2.98.
  * Bump soname due to ABI break.

 -- Dennis Filder <d.filder@web.de>  Sun, 03 Sep 2023 13:44:45 +0200

lime (5.2.0+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Build-Depend on default libboost-dev.

 -- Bastian Germann <bage@debian.org>  Sun, 30 Jun 2024 21:22:06 +0000

=== debian/control ===
Source: lime
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Bernhard Schmidt <berni@debian.org>
Build-Depends: cmake,
 debhelper-compat (= 13),
 libbctoolbox-dev (>= 5.3),
 libsoci-dev,
Build-Depends-Arch:
 libsqlite3-dev,
 libboost-dev,
Build-Depends-Indep:
 doxygen <!nodoc>,
 libregexp-assemble-perl <!nodoc>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Section: libs
Vcs-Browser: https://salsa.debian.org/pkg-voip-team/linphone-stack/lime
Vcs-Git: https://salsa.debian.org/pkg-voip-team/linphone-stack/lime.git

Package: liblime-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: liblime1 (= ${binary:Version}), ${misc:Depends}
Description: End-to-end encryption library featuring ECC and PFS
 LIME is an end-to-end encryption library for one-to-one and group
 instant messaging, allowing users to exchange messages privately and
 asynchronously. It uses Curve448-Goldilocks for key agreement and
 employs a double ratchet algorithm for perfect forward secrecy.
 .
 LIME is composed of a portable client library coupled with a public
 key server developed by Belledonne Communications to allow end-to-end
 encryption for messaging, without having to exchange cryptographic
 keys simultaneously.
 .
 The library exposes a C, C++ and Java API for easy integration in
 mobile and desktop environments.
 .
 This package contains everything needed to build software written
 against LIME.

Package: liblime1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: End-to-end encryption library featuring ECC and PFS
 LIME is an end-to-end encryption library for one-to-one and group
 instant messaging, allowing users to exchange messages privately and
 asynchronously. It uses Curve448-Goldilocks for key agreement and
 employs a double ratchet algorithm for perfect forward secrecy.
 .
 LIME is composed of a portable client library coupled with a public
 key server developed by Belledonne Communications to allow end-to-end
 encryption for messaging, without having to exchange cryptographic
 keys simultaneously.
 .
 The library exposes a C, C++ and Java API for easy integration in
 mobile and desktop environments.
 .
 This package contains the run-time shared library.

Package: liblime-doc
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Depends: ${misc:Depends}
Description: End-to-end encryption library featuring ECC and PFS
 LIME is an end-to-end encryption library for one-to-one and group
 instant messaging, allowing users to exchange messages privately and
 asynchronously. It uses Curve448-Goldilocks for key agreement and
 employs a double ratchet algorithm for perfect forward secrecy.
 .
 LIME is composed of a portable client library coupled with a public
 key server developed by Belledonne Communications to allow end-to-end
 encryption for messaging, without having to exchange cryptographic
 keys simultaneously.
 .
 The library exposes a C, C++ and Java API for easy integration in
 mobile and desktop environments.
 .
 This package contains the developer documentation.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk
export DEB_VERSION_UPSTREAM

DEB_REQUESTED_PACKAGES := $(shell dh_listpackages)
when-in-build-profile     = $(patsubst 0,$(3),$(patsubst 1,$(2),$(patsubst 01,1,0$(patsubst $(1),1,$(filter $(1),$(DEB_BUILD_PROFILES))))))
when-not-in-build-profile = $(patsubst 0,$(3),$(patsubst 1,$(2),$(patsubst 11,0,1$(patsubst $(1),1,$(filter $(1),$(DEB_BUILD_PROFILES))))))
when-building-package     = $(patsubst 0,$(3),$(patsubst 1,$(2),$(patsubst 01,1,0$(patsubst $(1),1,$(filter $(1),$(DEB_REQUESTED_PACKAGES))))))
when-not-building-package = $(patsubst 0,$(3),$(patsubst 1,$(2),$(patsubst 11,0,1$(patsubst $(1),1,$(filter $(1),$(DEB_REQUESTED_PACKAGES))))))

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

# I suspect this might be necessary to minimize the ABI difference
# when disabling JNI (otherwise C++11 is used which should generate
# different symbols thus throwing off dh_gensymbols)
options += -DCMAKE_CXX_STANDARD=14
options += -DDEB_VERSION_UPSTREAM=$${DEB_VERSION_UPSTREAM%+dfsg*}
options += -DCMAKE_SKIP_RPATH=ON # with debhelper 14 this will be the default
options += -DENABLE_UNIT_TESTS=NO # would need: libbellesip-dev

features += -DBUILD_SHARED_LIBS=YES
features += -DENABLE_DOC=$(call when-building-package,liblime-doc,YES,NO) # doxygen
features += -DENABLE_CURVE448=YES # libdecaf-dev
features += -DENABLE_CURVE25519=YES # libbctoolbox-dev
features += -DENABLE_JNI=NO
features += -DENABLE_C_INTERFACE=YES

override_dh_auto_configure:
	if ! [ -f debian/liblime1.shlibs ]; then \
		echo "HINT: You must update d/rules to have the new soname!" | grep --color '^.*$$' >&2 ; \
		false ; \
	fi
	dh_auto_configure -- \
	 ${options} \
	 ${features}

override_dh_auto_build-indep:
	dh_auto_build -- lime-doc

override_dh_auto_install-indep:
